summaryrefslogtreecommitdiffhomepage
path: root/sigh
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2019-10-05 22:27:02 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2019-10-06 15:40:18 +0200
commit659a2c6d54570e2602f58aa525c61ca1c6b3d413 (patch)
treee0e91c0304e0a2e5e4d2f1790d79a38801e2ca4f /sigh
parent650076584aafcee11946b6a6fc76f8a6514b41dc (diff)
downloadmidipix_build-659a2c6d54570e2602f58aa525c61ca1c6b3d413.tar.bz2
midipix_build-659a2c6d54570e2602f58aa525c61ca1c6b3d413.tar.xz
gdb{_host}: --with-python: work around gdb's anti-cross-compilation patterns.
Signed-off-by: Lucio Andrés Illanes Albornoz <lucio@lucioillanes.de>
Diffstat (limited to 'sigh')
-rwxr-xr-xsigh/python2.7-config23
1 files changed, 23 insertions, 0 deletions
diff --git a/sigh/python2.7-config b/sigh/python2.7-config
new file mode 100755
index 00000000..5888c816
--- /dev/null
+++ b/sigh/python2.7-config
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+for arg ; do
+ case "$arg" in
+ --version)
+ printf 'Python 2.7.15'
+ ;;
+
+ --includes)
+ ;;
+
+ --ldflags)
+ printf '%s' '-lpython2.7'
+ ;;
+
+ --exec-prefix)
+ ;;
+ esac
+done
+
+exit 0